### Function

# GdkX11 x11_get_xatom_by_name_for_display

#### Declaration [src]

    Atom
    gdk_x11_get_xatom_by_name_for_display (
      GdkDisplay* display,
      const char* atom_name
    )

#### Description [src]

Returns the X atom for a `GdkDisplay` corresponding to `atom_name`. This function caches the result, so if called repeatedly it is much faster than XInternAtom(), which is a round trip to the server each time.

#### Parameters

`display` | `GdkX11Display`
| A `GdkDisplay`.
| The data is owned by the caller of the function.
`atom_name` | `const char*`
| A string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `Atom`
| A X atom for a `GdkDisplay`.